package com.inspect.metadata.bdconfig.domain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BasedataBdConfigAlgConvert extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long algConvertId;
    @Excel(
            name = "主系统编号"
    )
    private String mainSystemCode;
    @Excel(
            name = "主系统名称"
    )
    private String mainSystemName;
    @Excel(
            name = "厂家编号"
    )
    private String manufacturerCode;
    @Excel(
            name = "厂家名称"
    )
    private String manufacturerName;
    @Excel(
            name = "算法ID"
    )
    private String algId;
    @Excel(
            name = "算法编号"
    )
    private String algCode;
    @Excel(
            name = "上传原始算法编号"
    )
    private String originalAlgCode;
    private String delFlag;
    @Excel(
            name = "${comment}",
            readConverterExp = "$column.readConverterExp()"
    )
    private String algName;

    public void setAlgConvertId(Long algConvertId) {
        this.algConvertId = algConvertId;
    }

    public Long getAlgConvertId() {
        return this.algConvertId;
    }

    public void setMainSystemCode(String mainSystemCode) {
        this.mainSystemCode = mainSystemCode;
    }

    public String getMainSystemCode() {
        return this.mainSystemCode;
    }

    public void setMainSystemName(String mainSystemName) {
        this.mainSystemName = mainSystemName;
    }

    public String getMainSystemName() {
        return this.mainSystemName;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getManufacturerCode() {
        return this.manufacturerCode;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getManufacturerName() {
        return this.manufacturerName;
    }

    public void setAlgId(String algId) {
        this.algId = algId;
    }

    public String getAlgId() {
        return this.algId;
    }

    public void setAlgCode(String algCode) {
        this.algCode = algCode;
    }

    public String getAlgCode() {
        return this.algCode;
    }

    public void setOriginalAlgCode(String originalAlgCode) {
        this.originalAlgCode = originalAlgCode;
    }

    public String getOriginalAlgCode() {
        return this.originalAlgCode;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setAlgName(String algName) {
        this.algName = algName;
    }

    public String getAlgName() {
        return this.algName;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("algConvertId", this.getAlgConvertId()).append("mainSystemCode", this.getMainSystemCode()).append("mainSystemName", this.getMainSystemName()).append("manufacturerCode", this.getManufacturerCode()).append("manufacturerName", this.getManufacturerName()).append("algId", this.getAlgId()).append("algCode", this.getAlgCode()).append("originalAlgCode", this.getOriginalAlgCode()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("algName", this.getAlgName()).toString();
    }
}
